libao documentation | libao version 1.2.2 - 20161114

# ao_append_option

declared in "ao/ao.h";

Append a key-value pair to a linked list of options. The key and value strings are duplicated into newly allocated memory, so the calling function retains ownership of the string parameters.

    int ao_append_option(ao_option **options, const char *key, const char *value);

### Parameters

options
  Address of the pointer to the head of the option list. For an empty list `*options` will be NULL.
key
  A string holding the option key.
value
  A string holding the option value.

### Return Values

> - 1 indicates success.
> - 0 indicates memory allocation failure.

copyright © 2001-2003 Stan Seibert, 2010-2016 Monty | xiph.org monty@xiph.org
libao documentation | libao version 1.2.2 - 20161114